Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Server\Security\RestLogoutHandler Class Reference

Logout handler used by REST session based logout. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Security\RestLogoutHandler:

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver)
| logout (Request $request, Response $response, TokenInterface $token)

## Private Attributes
| $configResolver

## Detailed Description

Logout handler used by REST session based logout.

It forces session cookie clearing.

Definition at line 19 of file RestLogoutHandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Security\RestLogoutHandler::__construct | ( | ConfigResolverInterface | $configResolver | ) |

Parameters

  \eZ\Publish\Core\MVC\ConfigResolverInterface | $configResolver |

Definition at line 27 of file RestLogoutHandler.php.

References eZ\Publish\Core\REST\Server\Security\RestLogoutHandler\$configResolver.

## Member Function Documentation

## ◆ logout()

eZ\Publish\Core\REST\Server\Security\RestLogoutHandler::logout | ( | Request | $request,
|  | Response | $response,
|  | TokenInterface | $token
| ) |  |

Parameters

  \Symfony\Component\HttpFoundation\Request | $request |
  \Symfony\Component\HttpFoundation\Response | $response |
  \Symfony\Component\Security\Core\Authentication\Token\TokenInterface | $token |

Definition at line 37 of file RestLogoutHandler.php.

## Member Data Documentation

## ◆ $configResolver

eZ\Publish\Core\REST\Server\Security\RestLogoutHandler::$configResolver
| private

Definition at line 22 of file RestLogoutHandler.php.

Referenced by eZ\Publish\Core\REST\Server\Security\RestLogoutHandler\__construct().

The documentation for this class was generated from the following file:

- RestLogoutHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.